<?php
namespace SF\Sfcombination\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2014 Stefan Frömken <froemken@gmail.com>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * CarFeatureMm
 */
class CarFeatureMm extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * Car
	 *
	 * @var \SF\Sfcombination\Domain\Model\Car
	 */
	protected $car;

	/**
	 * Feature
	 *
	 * @var \SF\Sfcombination\Domain\Model\Feature
	 */
	protected $feature;

	/**
	 * Returns the car
	 *
	 * @return \SF\Sfcombination\Domain\Model\Car $car
	 */
	public function getCar() {
		return $this->car;
	}

	/**
	 * Sets the car
	 *
	 * @param \SF\Sfcombination\Domain\Model\Car $car
	 * @return void
	 */
	public function setCar(\SF\Sfcombination\Domain\Model\Car $car) {
		$this->car = $car;
	}

	/**
	 * Returns the feature
	 *
	 * @return \SF\Sfcombination\Domain\Model\Feature $feature
	 */
	public function getFeature() {
		return $this->feature;
	}

	/**
	 * Sets the feature
	 *
	 * @param \SF\Sfcombination\Domain\Model\Feature $feature
	 * @return void
	 */
	public function setFeature(\SF\Sfcombination\Domain\Model\Feature $feature) {
		$this->feature = $feature;
	}

}